# arduino

A place for all the arduino code I write.

## Libraries
For some reason, the Arduino IDE is absolutely _ridiculous_ in that it keeps libraries globally installed. Some of the projects and examples here require that libraries are installed to work, unfortunately (I wasn't able to get them to function any other way :-/). To that end, I've listed below the libraries and where to get them from that I've used.

### LMIC
Required for the LoRaWAN projects. Installable through the _library manager_ if you search `LMIC`.

### RadioHead
Used in some of the low-level LoRa test programs. This requires cloning the _RadioHead_ repository into the Arduino IDE libraries folder, which is by default located at `~/Arduino/libraries`. Here's the clone command in question:

```bash
git clone https://github.com/PaulStoffregen/RadioHead.git
```

Execute it in the Arduino libraries folder as mentioned above.

## Useful Resources

 - [Connect with WPA](https://www.arduino.cc/en/Tutorial/ConnectWithWPA) - What seems like a reasonaly good tutorial on how to get a Wemos to connect via WiFi. We'll need a TCP tutorial later on down the line though.
